Solid Edge FrameworkSupport Type Library
CornerTrim Method
Double that specifies the coordinates of a point near the end of the active object to retain if the active object requires trimming.
Double that specifies the coordinates of a point near the end of the active object to retain if the active object requires trimming.
The object with which the referenced object is to intersect.
Required Double that specifies the coordinates of a point near the end of the target object to retain if the target object requires trimming.
Required Double that specifies the coordinates of a point near the end of the target object to retain if the target object requires trimming.
Description
Trims or extends the referenced object and a target object to intersect.
Syntax
Visual Basic
Public Sub CornerTrim( _
   ByVal xKeep As Double, _
   ByVal yKeep As Double, _
   ByVal TargetObj As Object, _
   ByVal xTargetKeep As Double, _
   ByVal yTargetKeep As Double _
) 
Parameters
xKeep
Double that specifies the coordinates of a point near the end of the active object to retain if the active object requires trimming.
yKeep
Double that specifies the coordinates of a point near the end of the active object to retain if the active object requires trimming.
TargetObj
The object with which the referenced object is to intersect.
xTargetKeep
Required Double that specifies the coordinates of a point near the end of the target object to retain if the target object requires trimming.
yTargetKeep
Required Double that specifies the coordinates of a point near the end of the target object to retain if the target object requires trimming.
Remarks
This method trims/extends the referenced object and another object (the target object) to intersect. The active object point is specified so that the portion of the arc above the intersection is retained after trimming. In this example, the line is extended to intersect with the arc.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objArcs As SolidEdgeFrameworkSupport.Arcs2d
    Dim objArc1 As SolidEdgeFrameworkSupport.Arc2d
    Dim objArc2 As SolidEdgeFrameworkSupport.Arc2d
    Dim sDumpStatus As String    ' Used for temporary storage of datadump return string
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' Create an Arcs collection object
    Set objArcs = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:=objDoc.RefPlanes(1)).Arcs2d
    ' Create an arc
    Set objArc1 = objArcs.AddByCenterStartEnd(xStart:=-0.05, yStart:=0, xCenter:=0, _
                                              yCenter:=0, xEnd:=0.05, yEnd:=0)
    ' Create another Arc object
    Set objArc2 = objArcs.AddByCenterStartEnd(xStart:=0, yStart:=0, xCenter:=0, _
                                              yCenter:=0.05, xEnd:=0, yEnd:=0.1)
    ' CornerTrim the Arcs
    Call objArc1.CornerTrim(xKeep:=0, yKeep:=0.05, TargetObj:=objArc2, xTargetKeep:=0, _
                            yTargetKeep:=0.1)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objArcs = Nothing
    Set objArc1 = Nothing
    Set objArc2 = Nothing
End Sub
See Also

Arc2d Object  | Arc2d Members

Send comments on this topic.